package dev.peerat.framework;

import java.io.BufferedWriter;

import javax.servlet.http.HttpServletResponse;

public class TomcatHttpWriter extends HttpWriter{
	
	private HttpServletResponse response;

	public TomcatHttpWriter(HttpServletResponse response) throws Exception{
		super(response.getOutputStream(), new BufferedWriter(response.getWriter()));
		this.response = response;
	}
	
	@Override
	void response(int code, String... headers) throws Exception {
		response.setStatus(code);
		for(String header : headers){
			String[] split = header.split("\\s*:\\s*");
			response.setHeader(split[0], split[1]);
		}
	}
}
